<!-- log-reg-sec starts -->
<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px' }"></ngx-loading>

<section class="log-reg-sec reset-password-sec">
    <div class="container">
        <div class="log-outer">
            <h2>Forgot your password? No problem.</h2>


            <div class="reset-pass-wrap">
                <div class="log-box box-br">
                    <h3>Enter your email to reset your password</h3>
                    <form [formGroup]="forgotPasswordForm">
                        <div class="form-group">
                            <input type="email" formControlName="email" class="form-control" aria-describedby="emailHelp" placeholder="Email" [ngClass]="{ 'is-invalid': (forgotPasswordForm.controls.email.touched || forgotPasswordSubmitted) && forgotPasswordForm.controls.email.errors }">
                            <p class="error_module" *ngIf="forgotPasswordForm.controls.email.touched || forgotPasswordSubmitted">
                                <app-form-validation-errors errorPrefix="Email " [errors]="forgotPasswordForm.controls.email.errors"></app-form-validation-errors>
                            </p>
                        </div>

                        <button (click)="validateForgotPasswordForm()" [disabled]="forgotPasswordForm.invalid" type="submit" class="btn btn-primary"><span>RESET</span> <br><span>PASSWORD</span></button>
                    </form>
                </div>
            </div>

        </div>
    </div>
</section>
<!-- log-reg-sec  ends -->